// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.14.0
// source: canopy_types.proto

package facility

import (
	api "gitlab.com/mergetb/portal/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type LinkState int32

const (
	LinkState_Link_State_Unknown LinkState = 0
	LinkState_Up                 LinkState = 1
	LinkState_Down               LinkState = 2
)

// Enum value maps for LinkState.
var (
	LinkState_name = map[int32]string{
		0: "Link_State_Unknown",
		1: "Up",
		2: "Down",
	}
	LinkState_value = map[string]int32{
		"Link_State_Unknown": 0,
		"Up":                 1,
		"Down":               2,
	}
)

func (x LinkState) Enum() *LinkState {
	p := new(LinkState)
	*p = x
	return p
}

func (x LinkState) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (LinkState) Descriptor() protoreflect.EnumDescriptor {
	return file_canopy_types_proto_enumTypes[0].Descriptor()
}

func (LinkState) Type() protoreflect.EnumType {
	return &file_canopy_types_proto_enumTypes[0]
}

func (x LinkState) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use LinkState.Descriptor instead.
func (LinkState) EnumDescriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{0}
}

type Phy struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Info *api.PhysicalInterface `protobuf:"bytes,1,opt,name=info,proto3" json:"info,omitempty"`
	Link LinkState              `protobuf:"varint,2,opt,name=link,proto3,enum=facility.LinkState" json:"link,omitempty"`
}

func (x *Phy) Reset() {
	*x = Phy{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Phy) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Phy) ProtoMessage() {}

func (x *Phy) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Phy.ProtoReflect.Descriptor instead.
func (*Phy) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{0}
}

func (x *Phy) GetInfo() *api.PhysicalInterface {
	if x != nil {
		return x.Info
	}
	return nil
}

func (x *Phy) GetLink() LinkState {
	if x != nil {
		return x.Link
	}
	return LinkState_Link_State_Unknown
}

type ListPhyRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListPhyRequest) Reset() {
	*x = ListPhyRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListPhyRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListPhyRequest) ProtoMessage() {}

func (x *ListPhyRequest) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListPhyRequest.ProtoReflect.Descriptor instead.
func (*ListPhyRequest) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{1}
}

type ListPhyResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Phys map[string]*Phy `protobuf:"bytes,1,rep,name=phys,proto3" json:"phys,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ListPhyResponse) Reset() {
	*x = ListPhyResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListPhyResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListPhyResponse) ProtoMessage() {}

func (x *ListPhyResponse) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListPhyResponse.ProtoReflect.Descriptor instead.
func (*ListPhyResponse) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{2}
}

func (x *ListPhyResponse) GetPhys() map[string]*Phy {
	if x != nil {
		return x.Phys
	}
	return nil
}

type Vtep struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Info *api.Vtep `protobuf:"bytes,1,opt,name=info,proto3" json:"info,omitempty"`
	Link LinkState `protobuf:"varint,2,opt,name=link,proto3,enum=facility.LinkState" json:"link,omitempty"`
}

func (x *Vtep) Reset() {
	*x = Vtep{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vtep) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vtep) ProtoMessage() {}

func (x *Vtep) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vtep.ProtoReflect.Descriptor instead.
func (*Vtep) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{3}
}

func (x *Vtep) GetInfo() *api.Vtep {
	if x != nil {
		return x.Info
	}
	return nil
}

func (x *Vtep) GetLink() LinkState {
	if x != nil {
		return x.Link
	}
	return LinkState_Link_State_Unknown
}

type ListVtepRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListVtepRequest) Reset() {
	*x = ListVtepRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVtepRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVtepRequest) ProtoMessage() {}

func (x *ListVtepRequest) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVtepRequest.ProtoReflect.Descriptor instead.
func (*ListVtepRequest) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{4}
}

type ListVtepResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vteps map[string]*Vtep `protobuf:"bytes,1,rep,name=vteps,proto3" json:"vteps,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ListVtepResponse) Reset() {
	*x = ListVtepResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVtepResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVtepResponse) ProtoMessage() {}

func (x *ListVtepResponse) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVtepResponse.ProtoReflect.Descriptor instead.
func (*ListVtepResponse) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{5}
}

func (x *ListVtepResponse) GetVteps() map[string]*Vtep {
	if x != nil {
		return x.Vteps
	}
	return nil
}

type Vlan struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Info *api.VLANInterface `protobuf:"bytes,1,opt,name=info,proto3" json:"info,omitempty"`
	Link LinkState          `protobuf:"varint,2,opt,name=link,proto3,enum=facility.LinkState" json:"link,omitempty"`
}

func (x *Vlan) Reset() {
	*x = Vlan{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Vlan) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Vlan) ProtoMessage() {}

func (x *Vlan) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Vlan.ProtoReflect.Descriptor instead.
func (*Vlan) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{6}
}

func (x *Vlan) GetInfo() *api.VLANInterface {
	if x != nil {
		return x.Info
	}
	return nil
}

func (x *Vlan) GetLink() LinkState {
	if x != nil {
		return x.Link
	}
	return LinkState_Link_State_Unknown
}

type ListVlanRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListVlanRequest) Reset() {
	*x = ListVlanRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVlanRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVlanRequest) ProtoMessage() {}

func (x *ListVlanRequest) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVlanRequest.ProtoReflect.Descriptor instead.
func (*ListVlanRequest) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{7}
}

type ListVlanResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vlans map[string]*Vlan `protobuf:"bytes,1,rep,name=vlans,proto3" json:"vlans,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ListVlanResponse) Reset() {
	*x = ListVlanResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListVlanResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListVlanResponse) ProtoMessage() {}

func (x *ListVlanResponse) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListVlanResponse.ProtoReflect.Descriptor instead.
func (*ListVlanResponse) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{8}
}

func (x *ListVlanResponse) GetVlans() map[string]*Vlan {
	if x != nil {
		return x.Vlans
	}
	return nil
}

type Access struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Info *api.VLANAccessPort `protobuf:"bytes,1,opt,name=info,proto3" json:"info,omitempty"`
	Link LinkState           `protobuf:"varint,2,opt,name=link,proto3,enum=facility.LinkState" json:"link,omitempty"`
}

func (x *Access) Reset() {
	*x = Access{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Access) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Access) ProtoMessage() {}

func (x *Access) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Access.ProtoReflect.Descriptor instead.
func (*Access) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{9}
}

func (x *Access) GetInfo() *api.VLANAccessPort {
	if x != nil {
		return x.Info
	}
	return nil
}

func (x *Access) GetLink() LinkState {
	if x != nil {
		return x.Link
	}
	return LinkState_Link_State_Unknown
}

type ListAccessRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListAccessRequest) Reset() {
	*x = ListAccessRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListAccessRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListAccessRequest) ProtoMessage() {}

func (x *ListAccessRequest) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListAccessRequest.ProtoReflect.Descriptor instead.
func (*ListAccessRequest) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{10}
}

type ListAccessResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Access map[string]*Access `protobuf:"bytes,1,rep,name=access,proto3" json:"access,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ListAccessResponse) Reset() {
	*x = ListAccessResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListAccessResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListAccessResponse) ProtoMessage() {}

func (x *ListAccessResponse) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListAccessResponse.ProtoReflect.Descriptor instead.
func (*ListAccessResponse) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{11}
}

func (x *ListAccessResponse) GetAccess() map[string]*Access {
	if x != nil {
		return x.Access
	}
	return nil
}

type Trunk struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Info *api.VLANTrunkPort `protobuf:"bytes,1,opt,name=info,proto3" json:"info,omitempty"`
	Link LinkState          `protobuf:"varint,2,opt,name=link,proto3,enum=facility.LinkState" json:"link,omitempty"`
}

func (x *Trunk) Reset() {
	*x = Trunk{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Trunk) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Trunk) ProtoMessage() {}

func (x *Trunk) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Trunk.ProtoReflect.Descriptor instead.
func (*Trunk) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{12}
}

func (x *Trunk) GetInfo() *api.VLANTrunkPort {
	if x != nil {
		return x.Info
	}
	return nil
}

func (x *Trunk) GetLink() LinkState {
	if x != nil {
		return x.Link
	}
	return LinkState_Link_State_Unknown
}

type ListTrunkRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListTrunkRequest) Reset() {
	*x = ListTrunkRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListTrunkRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListTrunkRequest) ProtoMessage() {}

func (x *ListTrunkRequest) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListTrunkRequest.ProtoReflect.Descriptor instead.
func (*ListTrunkRequest) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{13}
}

type ListTrunkResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Trunks map[string]*Trunk `protobuf:"bytes,1,rep,name=trunks,proto3" json:"trunks,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ListTrunkResponse) Reset() {
	*x = ListTrunkResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListTrunkResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListTrunkResponse) ProtoMessage() {}

func (x *ListTrunkResponse) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListTrunkResponse.ProtoReflect.Descriptor instead.
func (*ListTrunkResponse) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{14}
}

func (x *ListTrunkResponse) GetTrunks() map[string]*Trunk {
	if x != nil {
		return x.Trunks
	}
	return nil
}

type ListPeerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListPeerRequest) Reset() {
	*x = ListPeerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListPeerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListPeerRequest) ProtoMessage() {}

func (x *ListPeerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListPeerRequest.ProtoReflect.Descriptor instead.
func (*ListPeerRequest) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{15}
}

type ListPeerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Peers map[string]*api.BGPPeer `protobuf:"bytes,1,rep,name=peers,proto3" json:"peers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *ListPeerResponse) Reset() {
	*x = ListPeerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListPeerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListPeerResponse) ProtoMessage() {}

func (x *ListPeerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListPeerResponse.ProtoReflect.Descriptor instead.
func (*ListPeerResponse) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{16}
}

func (x *ListPeerResponse) GetPeers() map[string]*api.BGPPeer {
	if x != nil {
		return x.Peers
	}
	return nil
}

type CanopyConfig struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Phys   map[string]*Phy         `protobuf:"bytes,1,rep,name=phys,proto3" json:"phys,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Vteps  map[string]*Vtep        `protobuf:"bytes,2,rep,name=vteps,proto3" json:"vteps,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Vlans  map[string]*Vlan        `protobuf:"bytes,3,rep,name=vlans,proto3" json:"vlans,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Access map[string]*Access      `protobuf:"bytes,4,rep,name=access,proto3" json:"access,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Trunks map[string]*Trunk       `protobuf:"bytes,5,rep,name=trunks,proto3" json:"trunks,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Peers  map[string]*api.BGPPeer `protobuf:"bytes,6,rep,name=peers,proto3" json:"peers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
}

func (x *CanopyConfig) Reset() {
	*x = CanopyConfig{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CanopyConfig) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CanopyConfig) ProtoMessage() {}

func (x *CanopyConfig) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CanopyConfig.ProtoReflect.Descriptor instead.
func (*CanopyConfig) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{17}
}

func (x *CanopyConfig) GetPhys() map[string]*Phy {
	if x != nil {
		return x.Phys
	}
	return nil
}

func (x *CanopyConfig) GetVteps() map[string]*Vtep {
	if x != nil {
		return x.Vteps
	}
	return nil
}

func (x *CanopyConfig) GetVlans() map[string]*Vlan {
	if x != nil {
		return x.Vlans
	}
	return nil
}

func (x *CanopyConfig) GetAccess() map[string]*Access {
	if x != nil {
		return x.Access
	}
	return nil
}

func (x *CanopyConfig) GetTrunks() map[string]*Trunk {
	if x != nil {
		return x.Trunks
	}
	return nil
}

func (x *CanopyConfig) GetPeers() map[string]*api.BGPPeer {
	if x != nil {
		return x.Peers
	}
	return nil
}

type CanopyListAllRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *CanopyListAllRequest) Reset() {
	*x = CanopyListAllRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CanopyListAllRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CanopyListAllRequest) ProtoMessage() {}

func (x *CanopyListAllRequest) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CanopyListAllRequest.ProtoReflect.Descriptor instead.
func (*CanopyListAllRequest) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{18}
}

type CanopyListAllResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Config *CanopyConfig `protobuf:"bytes,1,opt,name=config,proto3" json:"config,omitempty"`
}

func (x *CanopyListAllResponse) Reset() {
	*x = CanopyListAllResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_canopy_types_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CanopyListAllResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CanopyListAllResponse) ProtoMessage() {}

func (x *CanopyListAllResponse) ProtoReflect() protoreflect.Message {
	mi := &file_canopy_types_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CanopyListAllResponse.ProtoReflect.Descriptor instead.
func (*CanopyListAllResponse) Descriptor() ([]byte, []int) {
	return file_canopy_types_proto_rawDescGZIP(), []int{19}
}

func (x *CanopyListAllResponse) GetConfig() *CanopyConfig {
	if x != nil {
		return x.Config
	}
	return nil
}

var File_canopy_types_proto protoreflect.FileDescriptor

var file_canopy_types_proto_rawDesc = []byte{
	0x0a, 0x12, 0x63, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x08, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x1a, 0x1a,
	0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2f, 0x72, 0x65, 0x61, 0x6c, 0x69, 0x7a, 0x65, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x5d, 0x0a, 0x03, 0x50, 0x68,
	0x79, 0x12, 0x2d, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x19, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x50, 0x68, 0x79, 0x73, 0x69, 0x63, 0x61,
	0x6c, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f,
	0x12, 0x27, 0x0a, 0x04, 0x6c, 0x69, 0x6e, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x6e, 0x6b, 0x53, 0x74,
	0x61, 0x74, 0x65, 0x52, 0x04, 0x6c, 0x69, 0x6e, 0x6b, 0x22, 0x10, 0x0a, 0x0e, 0x4c, 0x69, 0x73,
	0x74, 0x50, 0x68, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x92, 0x01, 0x0a, 0x0f,
	0x4c, 0x69, 0x73, 0x74, 0x50, 0x68, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x37, 0x0a, 0x04, 0x70, 0x68, 0x79, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x23, 0x2e,
	0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x68, 0x79,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x50, 0x68, 0x79, 0x73, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x52, 0x04, 0x70, 0x68, 0x79, 0x73, 0x1a, 0x46, 0x0a, 0x09, 0x50, 0x68, 0x79, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x23, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x2e, 0x50, 0x68, 0x79, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01,
	0x22, 0x51, 0x0a, 0x04, 0x56, 0x74, 0x65, 0x70, 0x12, 0x20, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e,
	0x56, 0x74, 0x65, 0x70, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x27, 0x0a, 0x04, 0x6c, 0x69,
	0x6e, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c,
	0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x6e, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x04, 0x6c,
	0x69, 0x6e, 0x6b, 0x22, 0x11, 0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x74, 0x65, 0x70, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x99, 0x01, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x56,
	0x74, 0x65, 0x70, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3b, 0x0a, 0x05, 0x76,
	0x74, 0x65, 0x70, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x74, 0x65, 0x70, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x56, 0x74, 0x65, 0x70, 0x73, 0x45, 0x6e, 0x74, 0x72,
	0x79, 0x52, 0x05, 0x76, 0x74, 0x65, 0x70, 0x73, 0x1a, 0x48, 0x0a, 0x0a, 0x56, 0x74, 0x65, 0x70,
	0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x24, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69,
	0x74, 0x79, 0x2e, 0x56, 0x74, 0x65, 0x70, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02,
	0x38, 0x01, 0x22, 0x5a, 0x0a, 0x04, 0x56, 0x6c, 0x61, 0x6e, 0x12, 0x29, 0x0a, 0x04, 0x69, 0x6e,
	0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61,
	0x6c, 0x2e, 0x56, 0x4c, 0x41, 0x4e, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65, 0x52,
	0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x27, 0x0a, 0x04, 0x6c, 0x69, 0x6e, 0x6b, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c,
	0x69, 0x6e, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x04, 0x6c, 0x69, 0x6e, 0x6b, 0x22, 0x11,
	0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x6c, 0x61, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x22, 0x99, 0x01, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x6c, 0x61, 0x6e, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3b, 0x0a, 0x05, 0x76, 0x6c, 0x61, 0x6e, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x56, 0x6c, 0x61, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x2e, 0x56, 0x6c, 0x61, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x76, 0x6c,
	0x61, 0x6e, 0x73, 0x1a, 0x48, 0x0a, 0x0a, 0x56, 0x6c, 0x61, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72,
	0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x6b, 0x65, 0x79, 0x12, 0x24, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x56, 0x6c,
	0x61, 0x6e, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x5d, 0x0a,
	0x06, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x12, 0x2a, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x56,
	0x4c, 0x41, 0x4e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x50, 0x6f, 0x72, 0x74, 0x52, 0x04, 0x69,
	0x6e, 0x66, 0x6f, 0x12, 0x27, 0x0a, 0x04, 0x6c, 0x69, 0x6e, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x13, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x6e,
	0x6b, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x04, 0x6c, 0x69, 0x6e, 0x6b, 0x22, 0x13, 0x0a, 0x11,
	0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x22, 0xa3, 0x01, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x40, 0x0a, 0x06, 0x61, 0x63, 0x63, 0x65,
	0x73, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c,
	0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x52, 0x06, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x1a, 0x4b, 0x0a, 0x0b, 0x41, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x26, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x5b, 0x0a, 0x05, 0x54, 0x72, 0x75, 0x6e, 0x6b,
	0x12, 0x29, 0x0a, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15,
	0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x56, 0x4c, 0x41, 0x4e, 0x54, 0x72, 0x75, 0x6e,
	0x6b, 0x50, 0x6f, 0x72, 0x74, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x27, 0x0a, 0x04, 0x6c,
	0x69, 0x6e, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x13, 0x2e, 0x66, 0x61, 0x63, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x6e, 0x6b, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x04,
	0x6c, 0x69, 0x6e, 0x6b, 0x22, 0x12, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x54, 0x72, 0x75, 0x6e,
	0x6b, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0xa0, 0x01, 0x0a, 0x11, 0x4c, 0x69, 0x73,
	0x74, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3f,
	0x0a, 0x06, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x27,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x54, 0x72,
	0x75, 0x6e, 0x6b, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x54, 0x72, 0x75, 0x6e,
	0x6b, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x1a,
	0x4a, 0x0a, 0x0b, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10,
	0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79,
	0x12, 0x25, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x0f, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x54, 0x72, 0x75, 0x6e, 0x6b,
	0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x11, 0x0a, 0x0f, 0x4c,
	0x69, 0x73, 0x74, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x9a,
	0x01, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x3b, 0x0a, 0x05, 0x70, 0x65, 0x65, 0x72, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x50, 0x65, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e, 0x50,
	0x65, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x70, 0x65, 0x65, 0x72, 0x73,
	0x1a, 0x49, 0x0a, 0x0a, 0x50, 0x65, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10,
	0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79,
	0x12, 0x25, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x0f, 0x2e, 0x70, 0x6f, 0x72, 0x74, 0x61, 0x6c, 0x2e, 0x42, 0x47, 0x50, 0x50, 0x65, 0x65, 0x72,
	0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xa7, 0x06, 0x0a, 0x0c,
	0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x34, 0x0a, 0x04,
	0x70, 0x68, 0x79, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x2e, 0x50, 0x68, 0x79, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x04, 0x70, 0x68,
	0x79, 0x73, 0x12, 0x37, 0x0a, 0x05, 0x76, 0x74, 0x65, 0x70, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x21, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x61, 0x6e,
	0x6f, 0x70, 0x79, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x56, 0x74, 0x65, 0x70, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x76, 0x74, 0x65, 0x70, 0x73, 0x12, 0x37, 0x0a, 0x05, 0x76,
	0x6c, 0x61, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x66, 0x61, 0x63,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x2e, 0x56, 0x6c, 0x61, 0x6e, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x76,
	0x6c, 0x61, 0x6e, 0x73, 0x12, 0x3a, 0x0a, 0x06, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x18, 0x04,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e,
	0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x41, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x12, 0x3a, 0x0a, 0x06, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x22, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x61, 0x6e, 0x6f,
	0x70, 0x79, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2e, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x74, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x12, 0x37, 0x0a, 0x05,
	0x70, 0x65, 0x65, 0x72, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x66, 0x61,
	0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x2e, 0x50, 0x65, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05,
	0x70, 0x65, 0x65, 0x72, 0x73, 0x1a, 0x46, 0x0a, 0x09, 0x50, 0x68, 0x79, 0x73, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x6b, 0x65, 0x79, 0x12, 0x23, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x50,
	0x68, 0x79, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x48, 0x0a,
	0x0a, 0x56, 0x74, 0x65, 0x70, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b,
	0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x24, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x66,
	0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x56, 0x74, 0x65, 0x70, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x48, 0x0a, 0x0a, 0x56, 0x6c, 0x61, 0x6e, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x24, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0e, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x2e, 0x56, 0x6c, 0x61, 0x6e, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38,
	0x01, 0x1a, 0x4b, 0x0a, 0x0b, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79,
	0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b,
	0x65, 0x79, 0x12, 0x26, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x10, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x41, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x4a,
	0x0a, 0x0b, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a,
	0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12,
	0x25, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f,
	0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2e, 0x54, 0x72, 0x75, 0x6e, 0x6b, 0x52,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x49, 0x0a, 0x0a, 0x50, 0x65,
	0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x25, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0f, 0x2e, 0x70, 0x6f, 0x72, 0x74,
	0x61, 0x6c, 0x2e, 0x42, 0x47, 0x50, 0x50, 0x65, 0x65, 0x72, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0x16, 0x0a, 0x14, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x4c,
	0x69, 0x73, 0x74, 0x41, 0x6c, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x47, 0x0a,
	0x15, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x6c, 0x6c, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2e, 0x0a, 0x06, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x2e, 0x43, 0x61, 0x6e, 0x6f, 0x70, 0x79, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x52, 0x06,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2a, 0x35, 0x0a, 0x09, 0x4c, 0x69, 0x6e, 0x6b, 0x53, 0x74,
	0x61, 0x74, 0x65, 0x12, 0x16, 0x0a, 0x12, 0x4c, 0x69, 0x6e, 0x6b, 0x5f, 0x53, 0x74, 0x61, 0x74,
	0x65, 0x5f, 0x55, 0x6e, 0x6b, 0x6e, 0x6f, 0x77, 0x6e, 0x10, 0x00, 0x12, 0x06, 0x0a, 0x02, 0x55,
	0x70, 0x10, 0x01, 0x12, 0x08, 0x0a, 0x04, 0x44, 0x6f, 0x77, 0x6e, 0x10, 0x02, 0x42, 0x2a, 0x5a,
	0x28, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x65, 0x72, 0x67,
	0x65, 0x74, 0x62, 0x2f, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x2f, 0x61, 0x70, 0x69,
	0x3b, 0x66, 0x61, 0x63, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_canopy_types_proto_rawDescOnce sync.Once
	file_canopy_types_proto_rawDescData = file_canopy_types_proto_rawDesc
)

func file_canopy_types_proto_rawDescGZIP() []byte {
	file_canopy_types_proto_rawDescOnce.Do(func() {
		file_canopy_types_proto_rawDescData = protoimpl.X.CompressGZIP(file_canopy_types_proto_rawDescData)
	})
	return file_canopy_types_proto_rawDescData
}

var file_canopy_types_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_canopy_types_proto_msgTypes = make([]protoimpl.MessageInfo, 32)
var file_canopy_types_proto_goTypes = []interface{}{
	(LinkState)(0),                // 0: facility.LinkState
	(*Phy)(nil),                   // 1: facility.Phy
	(*ListPhyRequest)(nil),        // 2: facility.ListPhyRequest
	(*ListPhyResponse)(nil),       // 3: facility.ListPhyResponse
	(*Vtep)(nil),                  // 4: facility.Vtep
	(*ListVtepRequest)(nil),       // 5: facility.ListVtepRequest
	(*ListVtepResponse)(nil),      // 6: facility.ListVtepResponse
	(*Vlan)(nil),                  // 7: facility.Vlan
	(*ListVlanRequest)(nil),       // 8: facility.ListVlanRequest
	(*ListVlanResponse)(nil),      // 9: facility.ListVlanResponse
	(*Access)(nil),                // 10: facility.Access
	(*ListAccessRequest)(nil),     // 11: facility.ListAccessRequest
	(*ListAccessResponse)(nil),    // 12: facility.ListAccessResponse
	(*Trunk)(nil),                 // 13: facility.Trunk
	(*ListTrunkRequest)(nil),      // 14: facility.ListTrunkRequest
	(*ListTrunkResponse)(nil),     // 15: facility.ListTrunkResponse
	(*ListPeerRequest)(nil),       // 16: facility.ListPeerRequest
	(*ListPeerResponse)(nil),      // 17: facility.ListPeerResponse
	(*CanopyConfig)(nil),          // 18: facility.CanopyConfig
	(*CanopyListAllRequest)(nil),  // 19: facility.CanopyListAllRequest
	(*CanopyListAllResponse)(nil), // 20: facility.CanopyListAllResponse
	nil,                           // 21: facility.ListPhyResponse.PhysEntry
	nil,                           // 22: facility.ListVtepResponse.VtepsEntry
	nil,                           // 23: facility.ListVlanResponse.VlansEntry
	nil,                           // 24: facility.ListAccessResponse.AccessEntry
	nil,                           // 25: facility.ListTrunkResponse.TrunksEntry
	nil,                           // 26: facility.ListPeerResponse.PeersEntry
	nil,                           // 27: facility.CanopyConfig.PhysEntry
	nil,                           // 28: facility.CanopyConfig.VtepsEntry
	nil,                           // 29: facility.CanopyConfig.VlansEntry
	nil,                           // 30: facility.CanopyConfig.AccessEntry
	nil,                           // 31: facility.CanopyConfig.TrunksEntry
	nil,                           // 32: facility.CanopyConfig.PeersEntry
	(*api.PhysicalInterface)(nil), // 33: portal.PhysicalInterface
	(*api.Vtep)(nil),              // 34: portal.Vtep
	(*api.VLANInterface)(nil),     // 35: portal.VLANInterface
	(*api.VLANAccessPort)(nil),    // 36: portal.VLANAccessPort
	(*api.VLANTrunkPort)(nil),     // 37: portal.VLANTrunkPort
	(*api.BGPPeer)(nil),           // 38: portal.BGPPeer
}
var file_canopy_types_proto_depIdxs = []int32{
	33, // 0: facility.Phy.info:type_name -> portal.PhysicalInterface
	0,  // 1: facility.Phy.link:type_name -> facility.LinkState
	21, // 2: facility.ListPhyResponse.phys:type_name -> facility.ListPhyResponse.PhysEntry
	34, // 3: facility.Vtep.info:type_name -> portal.Vtep
	0,  // 4: facility.Vtep.link:type_name -> facility.LinkState
	22, // 5: facility.ListVtepResponse.vteps:type_name -> facility.ListVtepResponse.VtepsEntry
	35, // 6: facility.Vlan.info:type_name -> portal.VLANInterface
	0,  // 7: facility.Vlan.link:type_name -> facility.LinkState
	23, // 8: facility.ListVlanResponse.vlans:type_name -> facility.ListVlanResponse.VlansEntry
	36, // 9: facility.Access.info:type_name -> portal.VLANAccessPort
	0,  // 10: facility.Access.link:type_name -> facility.LinkState
	24, // 11: facility.ListAccessResponse.access:type_name -> facility.ListAccessResponse.AccessEntry
	37, // 12: facility.Trunk.info:type_name -> portal.VLANTrunkPort
	0,  // 13: facility.Trunk.link:type_name -> facility.LinkState
	25, // 14: facility.ListTrunkResponse.trunks:type_name -> facility.ListTrunkResponse.TrunksEntry
	26, // 15: facility.ListPeerResponse.peers:type_name -> facility.ListPeerResponse.PeersEntry
	27, // 16: facility.CanopyConfig.phys:type_name -> facility.CanopyConfig.PhysEntry
	28, // 17: facility.CanopyConfig.vteps:type_name -> facility.CanopyConfig.VtepsEntry
	29, // 18: facility.CanopyConfig.vlans:type_name -> facility.CanopyConfig.VlansEntry
	30, // 19: facility.CanopyConfig.access:type_name -> facility.CanopyConfig.AccessEntry
	31, // 20: facility.CanopyConfig.trunks:type_name -> facility.CanopyConfig.TrunksEntry
	32, // 21: facility.CanopyConfig.peers:type_name -> facility.CanopyConfig.PeersEntry
	18, // 22: facility.CanopyListAllResponse.config:type_name -> facility.CanopyConfig
	1,  // 23: facility.ListPhyResponse.PhysEntry.value:type_name -> facility.Phy
	4,  // 24: facility.ListVtepResponse.VtepsEntry.value:type_name -> facility.Vtep
	7,  // 25: facility.ListVlanResponse.VlansEntry.value:type_name -> facility.Vlan
	10, // 26: facility.ListAccessResponse.AccessEntry.value:type_name -> facility.Access
	13, // 27: facility.ListTrunkResponse.TrunksEntry.value:type_name -> facility.Trunk
	38, // 28: facility.ListPeerResponse.PeersEntry.value:type_name -> portal.BGPPeer
	1,  // 29: facility.CanopyConfig.PhysEntry.value:type_name -> facility.Phy
	4,  // 30: facility.CanopyConfig.VtepsEntry.value:type_name -> facility.Vtep
	7,  // 31: facility.CanopyConfig.VlansEntry.value:type_name -> facility.Vlan
	10, // 32: facility.CanopyConfig.AccessEntry.value:type_name -> facility.Access
	13, // 33: facility.CanopyConfig.TrunksEntry.value:type_name -> facility.Trunk
	38, // 34: facility.CanopyConfig.PeersEntry.value:type_name -> portal.BGPPeer
	35, // [35:35] is the sub-list for method output_type
	35, // [35:35] is the sub-list for method input_type
	35, // [35:35] is the sub-list for extension type_name
	35, // [35:35] is the sub-list for extension extendee
	0,  // [0:35] is the sub-list for field type_name
}

func init() { file_canopy_types_proto_init() }
func file_canopy_types_proto_init() {
	if File_canopy_types_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_canopy_types_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Phy); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListPhyRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListPhyResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vtep); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVtepRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVtepResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Vlan); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVlanRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListVlanResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Access); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListAccessRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListAccessResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Trunk); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListTrunkRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListTrunkResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListPeerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListPeerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CanopyConfig); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CanopyListAllRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_canopy_types_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CanopyListAllResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_canopy_types_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   32,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_canopy_types_proto_goTypes,
		DependencyIndexes: file_canopy_types_proto_depIdxs,
		EnumInfos:         file_canopy_types_proto_enumTypes,
		MessageInfos:      file_canopy_types_proto_msgTypes,
	}.Build()
	File_canopy_types_proto = out.File
	file_canopy_types_proto_rawDesc = nil
	file_canopy_types_proto_goTypes = nil
	file_canopy_types_proto_depIdxs = nil
}
